type IVideoBlob = {
	Blob: Blob
	code: number
}

const useBlobFile = (event: HTMLVideoElement, url: string): Promise<IVideoBlob> => {
	return new Promise<IVideoBlob>((resolve, reject) => {
		fetch(url).then(response => response.blob())
		.then(blob => {
			console.log(blob);
			window.onload = function () {
				window.URL.revokeObjectURL(event.src);
			};
			event.src = window.URL.createObjectURL(blob);
			resolve({ Blob: blob, code: 1 });
		})
		.catch(err => reject(err));
	})
}

export default useBlobFile