import { showNotify } from 'vant';
import { statisticAddContext } from '@/api/context/context';

const useCopyText = async (text: string, authorId: string) => {
    if (navigator.clipboard && window.isSecureContext) { // 判断浏览器支持Clipboard API并且页面运行在安全上下文中
        await statisticAddContext({ type: 1, authorId })
        navigator.clipboard.writeText(text); // 将文本内容复制到剪贴板
        showNotify('已成功复制！'); // 提示复制成功信息
    } else {
        console.log('不支持复制'); 
    }
}

export default useCopyText