const createWebShareCard = (obj: { title: string, description: string, image: string } & Record<string, string>) => {
	const head = document.querySelector('head') as HTMLHeadElement;

	for (const key in obj) {
		const meta = document.createElement('meta') as HTMLMetaElement;

		// 设置属性值
		meta.setAttribute('property', `og:${key}`); // 设置 name 属性为 description
		meta.setAttribute('content', obj[key]); // 设置 content 属性为指定内容
		head.appendChild(meta);
	}

}

export default createWebShareCard