import type { IPermi, UsePermission, IPermiObj } from './type'
import MyComponent from './permiMode.tsx'

//用户权限  0可查看，1未登录，2需升级会员机构，3需升级医美会员机构，4需要抵扣采美豆，5无权限查看
const permissionText: IPermi = [
	false,
	{text: '登录后查看完整内容', btnText: '登录', redirect: '/login.html' },
	{text: '请升级成为会员机构后方可查看！', btnText: '升级会员', redirect: '/user/setting/upgrade.html' },
	{text: '医美资质机构可查看完整内容', btnText: '升级医美资质', redirect: '/user/setting/upgrade.html' },
	{text: '需抵扣100采美豆方可查看！', btnText: '去查看', redirect: '/login.html' },
	{text: '登录后查看完整内容', btnText: '登录', redirect: '/login.html' }
]

export const usePermission = (ps?: number): UsePermission => {
	const permi = (): number => ps ? Number(ps) : 5
	const isPermi = (): Boolean | IPermiObj => permissionText[permi()]
	const cE = MyComponent(isPermi())
	return {
		isPermi: !isPermi(),
		PermiMode: isPermi() && cE,
		permission: permi(),
	}
}
