/**
 * 移动端时间统计 hook
 */

import { onMounted } from "vue"


const useStatisticalTime = (callback: (timing: number) => void) => {
	const startTiming = () => {
		if (localStorage.getItem('timing')) {
			localStorage.removeItem('timing');
		}
		const startTime = new Date().valueOf().toString()
		console.log('开始统计在线时长', startTime)
		localStorage.setItem('timing', startTime)
	}

	const endTiming = () => {
		const startTime = Number(localStorage.getItem('timing'))
		const endTime = new Date().valueOf()
		if (startTime) {
			console.log('统计时间结束', startTime, endTime)
			const timing = endTime - startTime
			callback(timing)
			localStorage.removeItem('startTime')
		}
	}

	const isAndroid = () => /Android/i.test(navigator.userAgent) //android终端
	const isIOS = () => /iPhone|iPad|iPod/i.test(navigator.userAgent) //ios终端

	onMounted(() => {
		startTiming()
		console.log('页面进入初始化')
		if (isAndroid()) {
			window.addEventListener("visibilitychange", () => {
				let p = document.visibilityState
				console.log('visibilityState', p)
				if (p === 'hidden') {
					//let e = Number(window.localStorage.getItem('visibility'));
					//e += 1
					//window.localStorage.setItem('visibility', e.toString())
					endTiming()
				}
				console.log('页面关闭')
			})
			window.addEventListener("beforeunload", () => {
				//let e = Number(window.localStorage.getItem('onbeforeLoad'));
				//e += 1
				//localStorage.setItem('onbeforeLoad', e.toString())
				console.log('页面关闭')
				endTiming()
			})
		} else if (isIOS()) {
			window.addEventListener('pagehide', () => {
				endTiming()
			}, false)
		} else {
			window.addEventListener("visibilitychange", () => {
				let p = document.visibilityState
				console.log('visibilityState', p)
				if (p === 'hidden') {
					//let e = Number(window.localStorage.getItem('visibility'));
					//e += 1
					//window.localStorage.setItem('visibility', e.toString())
					endTiming()
				}
				console.log('页面关闭')
			})
		}
	})


	return () => {
		//window.removeEventListener('pagehide', () => {
		//	console.log('页面关闭')
		//	endTiming()
		//})
		//window
		//localStorage.removeItem('timing')
	}
}

export default useStatisticalTime