import { App, defineAsyncComponent, AsyncComponentLoader } from 'vue'

export default {
	install (app: App) {
		const files = import.meta.glob('@/components/**/*.vue');
		for (const [key, value] of Object.entries(files)) {
			const componentName = key.slice(key.lastIndexOf('/') + 1, key.lastIndexOf('.'))?.split('-').map(e => e.toLowerCase().replace(/( |^)[a-z]/g, (L: string) => L.toUpperCase())).join('');
			if (componentName && value) {
				app.component(componentName, defineAsyncComponent(value as AsyncComponentLoader))
			}
		}
	}
}