import { RouteRecordRaw } from 'vue-router'


//export const dynamicRoutes: Array<RouteRecordRaw> = [
//	{
//		path: '/',
//		name: 'dashboard',
//		component: () => import('@/Layout/index.vue'),
//		redirect: '/home',
//		meta: {
//			name: 'dashboard'
//		},
//		children: [
//			{
//				path: 'home',
//				name: 'home',
//				component: () => import('@/views/Home/index.vue'),
//				meta: {
//					title: 'message.router.home',
//					roles: ['admin'],
//					icon: 'iconfont icon-shouye'
//				}
//			}
//		]
//	}
//]

export const notFoundPower: Array<RouteRecordRaw> = [
	{
		path: '/:path(.*)*',
		name: 'notFound',
		component: () => import('@/views/error/404.vue'),
		meta: {
			title: 'message.staticRoutes.notFound'
		}
	},
	{
		path: '/401',
		name: 'notPower',
		component: () => import('@/views/error/401.vue'),
		meta: {
			title: 'message.staticRoutes.notPower'
		}
	}
]

export const staticRouter: Array<RouteRecordRaw> = [
	{
		path: '/',
		redirect: '/login'
	},
	{
		path: '/login',
		name: 'login',
		component: () => import('@/views/Login/index.vue'),
		meta: {
			title: '登录'
		}
	},
	{
		path: '/preview',
		name: 'preview',
		component: () => import('@/views/Preview/index.vue'),
		meta: {
			title: '文件预览'
		}
	}, 
	{
		path: '/database',
		name: 'database',
		component: () => import('@/views/Database/index.vue'),
		children: [
			{
				path: 'index',
				name: 'All',
				component: () => import('@/views/Database/data-all/index.vue'),
				meta: {
					title: '文件资料',
				}
			},
			//{
			//	path: 'other',
			//	name: 'Other',
			//	component: () => import('@/views/Database/data-other/index.vue'),
			//	meta: {
			//		title: '文件资料',
			//		icon: ''
			//	}
			//}
		]
	},
	{
		path: '/database/detail',
		name: 'Detail',
		component: () => import('@/views/Database/detail.vue'),
		meta: {
			title: '文件详情',
		}
	},
	{
		path: '/database/add',
		name: 'Add',
		component: () => import('@/views/Database/add.vue'),
		meta: {
			title: '新增个人话术'
		}
	}
]
