import { defineStore } from "pinia";
import { login } from '@/api/user/login';
import { ILogin, ILoginRequestData } from '@/types/api/user.type';
import { IResultData } from '@/types/api/index';


export const useUserInfoState = defineStore('userInfo', {
	state: (): ILoginRequestData => ({
		token: '',
		userId: '',
		serviceProviderId: '',
		mobile: '',
		name: ''
	}),
	actions: {

		login(data: ILogin): Promise<IResultData<ILoginRequestData>> {
			return new Promise(async (resolve, reject) => {
				try {
					const res = await login(data)
					this.token = res.data?.token!
					this.serviceProviderId = res.data?.serviceProviderId!
					this.userId = res.data?.userId!
					resolve(res)
				} catch (error) {
					reject(error);
				}
			})
		}
	},
	persist: true
})
