import http from "@/util/http"

export interface IResult {
	msg?: string;
	code: number;
}

export type IGlobalListRequest = {
	pageSize: number;
	pageNum: number;
}

export interface IResultData<T = any> extends IResult {
	data?: T
}

export interface DResultListData<T = any> {
	firstPage: number
	list?: T[] // 数据
	data?: T[] // 数据
	hasNextPage: boolean // 是否有下一页
	hasPreviousPage: boolean // 是否有上一页
	isFirstPage: boolean // 是否是第一页
	isLastPage: boolean // 是否是最后一页
	lastPage: number // 最后一页的页数
	size: number // 请求每页的数据条数
	total: number // 总数
}

export enum RequestEnums {
	TIME_OUT = 10000,
	SUCCESS = 200,
	CODE = 0
}

// 约束接口请求类型
export const requestPOST = <T, K>(url: string & keyof T, data: T[string & keyof T] & Object) => http.post<K>(url, data)

// 约束接口请求类型
export const requestGET = <T, K>(url: string & keyof T, params: T[string & keyof T] & Object) => http.get<K>(url, params)